# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/EditorCallTipsJediPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EditorCallTipsJediPage(object):
    def setupUi(self, EditorCallTipsJediPage):
        EditorCallTipsJediPage.setObjectName("EditorCallTipsJediPage")
        EditorCallTipsJediPage.resize(400, 300)
        self.verticalLayout = QtWidgets.QVBoxLayout(EditorCallTipsJediPage)
        self.verticalLayout.setObjectName("verticalLayout")
        self.headerLabel = QtWidgets.QLabel(parent=EditorCallTipsJediPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout.addWidget(self.headerLabel)
        self.line15 = QtWidgets.QFrame(parent=EditorCallTipsJediPage)
        self.line15.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line15.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line15.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line15.setObjectName("line15")
        self.verticalLayout.addWidget(self.line15)
        self.jediCalltipsCheckBox = QtWidgets.QCheckBox(parent=EditorCallTipsJediPage)
        self.jediCalltipsCheckBox.setObjectName("jediCalltipsCheckBox")
        self.verticalLayout.addWidget(self.jediCalltipsCheckBox)
        spacerItem = QtWidgets.QSpacerItem(20, 220, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout.addItem(spacerItem)

        self.retranslateUi(EditorCallTipsJediPage)
        QtCore.QMetaObject.connectSlotsByName(EditorCallTipsJediPage)

    def retranslateUi(self, EditorCallTipsJediPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("EditorCallTipsJediPage", "<b>Configure Jedi Calltips</b>"))
        self.jediCalltipsCheckBox.setToolTip(_translate("EditorCallTipsJediPage", "Select, whether the jedi calltip support shall be enabled."))
        self.jediCalltipsCheckBox.setText(_translate("EditorCallTipsJediPage", "Enable calltip"))
